Arch Rebar/es: Difference between revisions

From FreeCAD Documentation
(Created page with "# Crear un elemento structure # Cambiar a Sketcher Workbench # Seleccione una cara del elemento estructural # Presione el botón {{KEY | Image: Sket...")
(Created page with "==Opciones==")
Line 26: Line 26:
# Ajuste las propiedades deseadas (es posible que su barra de refuerzo no aparezca inmediatamente, si algunas de las propiedades crean una situación imposible, como que el diámetro de la barra sea 0 o que las distancias de compensación sean mayores que la longitud del elemento estructural)
# Ajuste las propiedades deseadas (es posible que su barra de refuerzo no aparezca inmediatamente, si algunas de las propiedades crean una situación imposible, como que el diámetro de la barra sea 0 o que las distancias de compensación sean mayores que la longitud del elemento estructural)


==Options==
==Opciones==


* Rebars share the common properties and behaviours of all [[Arch Component|Arch Components]]
* Rebars share the common properties and behaviours of all [[Arch Component|Arch Components]]

Revision as of 12:44, 13 May 2018

Arch Rebar

Menu location
Arch → Rebar
Workbenches
Arch
Default shortcut
R B
Introduced in version
-
See also
Arch Structure

Descripción

La herramienta Rebar le permite colocar reinforcing bars dentro de los objetos Arch Structure. Los objetos de barra de refuerzo se basan en perfiles 2D como sketches o draft objects, que deben dibujarse en una cara de un objeto de estructura. A continuación, puede ajustar la configuración de las barras de refuerzo, como el número y el diámetro de las barras, o la distancia de desplazamiento entre los dos extremos del elemento estructural.

La imagen de arriba muestra un objeto estructural, donde se dibujan dos bocetos, que definen dos diagramas de barras. Estos dos bocetos se convierten en objetos de barras de refuerzo.

Extensión disponible

La herramienta Rebar se ha mejorado mucho durante la edición 2017 de Google Summer of Code. El resultado de ese trabajo es una serie de nuevos preajustes y asistentes para los tipos de varillas corrugadas más comunes. Se empaquetan en un módulo independiente denominado Refuerzo, que puede instalar a través del menú Herramientas -> Administrador de Addons. Una vez que se instala el Addon Reinforcement, en la próxima ejecución, FreeCAD lo detectará y agregará una serie de nuevas herramientas bajo el botón Rebar en la barra de herramientas y el menú de Arch. Las diferentes herramientas del addon de refuerzo se describen en la página Arch Workbench.

Como utilizar

  1. Crear un elemento structure
  2. Cambiar a Sketcher Workbench
  3. Seleccione una cara del elemento estructural
  4. Presione el botón New Sketch para comenzar un nuevo boceto en la cara seleccionada
  5. Dibuja el diagrama de tu barra
  6. Presione el botón Leave Sketch para finalizar
  7. Vuelve al Arch Workbench
  8. Seleccione el boceto que acaba de dibujar
  9. Presione el botón Arch Rebar, o presione R luego la tecla B
  10. Ajuste las propiedades deseadas (es posible que su barra de refuerzo no aparezca inmediatamente, si algunas de las propiedades crean una situación imposible, como que el diámetro de la barra sea 0 o que las distancias de compensación sean mayores que la longitud del elemento estructural)

Opciones

  • Rebars share the common properties and behaviours of all Arch Components
  • The rounding value is expressed in times the diameter. If your bar has a diameter of 5mm, a rounding value of 3 will create rounding at angles with a radius of 15mm.
  • Default values for new rebars can be set in the Arch preferences settings.
  • If a direction vector is not specified, the direction and distance along which the bars will spread is calculated automatically from the host structural object, by taking the normal direction of the base sketch, and taking its intersection with the structural object. If you specify a direction vector, the length of that vector will also be taken into account.
  • The spacing value is calculated from the current amount of bars, and represents the distance between the axes of each bar. You must therefore subtract the bar diameter to obtain the size of the free space between bars.

Properties

  • DatosAmount: The amount of bars.
  • DatosDiameter: The diameter of the bars.
  • DatosDirection: The direction (and length) along which the bars must spread. If the value is (0,0,0), the direction is calculated automatically from the host structural object.
  • DatosOffset Start: The offset distance between the border of the structural object and the first bar.
  • DatosOffset End: The offset distance between the border of the structural object and the last bar.
  • DatosRounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • DatosSpacing: The distance between the axes of each bar.

Scripting

The Rebar tool can by used in macros and from the python console by using the following function:

makeRebar (structure,sketch,[diameter],[amount],[offset])
  • Adds a Reinforcing Bar object to the given structural object, using the given sketch as profile.
  • If no diameter, amount or offset value is given, the default values from the Arch preferences settings are applied.
  • Returns the new Rebar object.

Example:

import FreeCAD, Arch, Sketcher, PArt
struct = Arch.makeStructure(1,1,3)
sketch = FreeCAD.ActiveDocument.addObject('Sketcher::SketchObject','Sketch')
sketch.Support = (struct,["Face6"])
sketch.addGeometry(Part.Line(App.Vector(-0.4,0.4,0),App.Vector(0.4,0.4,0)))
Arch.makeRebar(structure,sketch)